package com.sifang.modules.sunshine.SystemSetting.entity;



import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "crm_site")
public class CrmSite implements Serializable {

    private static final long serialVersionUID = -4901628978049837560L;

    private  BigDecimal BIG = new BigDecimal("0.00");
    private String id;
    private String userId;
    private String number;
    private String name;
    private String contacts;
    private String corporator;
    private String email;
    private String province;
    private String city;
    private String area;
    private String address;
    private String lnglat;
    private String mobile;
    private String telephone;
    private String licenseNumber;
    private String licenseImg;
    private String status;
    private String checkFlag;
    private String remarks;
    private String createBy;
    private Date createTime;
    private Date updateTime;
    private BigDecimal withdrawableCash;
    private BigDecimal totalWallet;
    private String siteType;
    private Integer refusalCount;

    private String isCrmCustomer;
    private  String customerId;
    private String customerName;

    public String getIsCrmCustomer() {
        return isCrmCustomer;
    }

    public void setIsCrmCustomer(String isCrmCustomer) {
        this.isCrmCustomer = isCrmCustomer;
    }

    public String getCustomerId() {
        return customerId;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public CrmSite() {
        super();
        this.setTotalWallet(BIG);
        this.setWithdrawableCash(BIG);
        this.refusalCount=0;
    }

    public Integer getRefusalCount() {
        return refusalCount;
    }

    public void setRefusalCount(Integer refusalCount) {
        this.refusalCount = refusalCount;
    }

    public String getSiteType() {
        return siteType;
    }

    public void setSiteType(String siteType) {
        this.siteType = siteType;
    }

    public BigDecimal getTotalWallet() {
        return totalWallet;
    }

    public void setTotalWallet(BigDecimal totalWallet) {
        this.totalWallet = totalWallet;
    }

    public BigDecimal getWithdrawableCash() {
        return withdrawableCash;
    }

    public void setWithdrawableCash(BigDecimal withdrawableCash) {
        this.withdrawableCash = withdrawableCash;
    }

    @Id
    @GeneratedValue(generator = "idGenerator")
    @GenericGenerator(name = "idGenerator", strategy = "uuid")
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getLicenseNumber() {
        return licenseNumber;
    }

    public void setLicenseNumber(String licenseNumber) {
        this.licenseNumber = licenseNumber;
    }

    public String getLicenseImg() {
        return licenseImg;
    }

    public void setLicenseImg(String licenseImg) {
        this.licenseImg = licenseImg;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getCorporator() {
        return corporator;
    }

    public void setCorporator(String corporator) {
        this.corporator = corporator;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getLnglat() {
        return lnglat;
    }

    public void setLnglat(String lnglat) {
        this.lnglat = lnglat;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getCheckFlag() {
        return checkFlag;
    }

    public void setCheckFlag(String checkFlag) {
        this.checkFlag = checkFlag;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
